
public class CardInPlay extends Card{
    private int battlePos;
    private boolean changePos;
    private boolean canAttack;
    
    private static final int FACEUP_ATKPOS = 1;
    private static final int FACEUP_DEFPOS = 2;
    private static final int FACEDOWN_DEFPOS = 3;
    
    public CardInPlay(int id, int battlePos)
    {
        super(id);
        this.battlePos =  battlePos;
        changePos = false;
        canAttack = true;
    }
    public void changeBattlePos()
    {
        if(changePos)
        {
            switch(battlePos)
            {
                case FACEUP_ATKPOS: battlePos = FACEUP_DEFPOS;
                break;
                default: battlePos = FACEUP_ATKPOS;
                break;
            }
            changePos = false;
        }
    }
    public void forceBattlePos()
    {
        battlePos = FACEUP_DEFPOS;
    }
    public boolean getATKStatus()
    {
        return canAttack;
    }
    public void cardAttacked()
    {
        canAttack = false;
    }
    public void resetValues()
    {
        changePos = true;
        canAttack = true;
    }
    public int getBattlePos()
    {
        //return battlePos;
        return battlePos;
    }
    
}
